I think there is better approach without using any higher order data structure as below : int minDifference(vector& nums) { sort(nums.begin(),nums.end()); int n=nums.size(); int ans=INT_MAX; if(n
Your Teaching Style is Awesome!!! In love with data structures... & appreciate your consistency of uploading daily videos. Keep Going Bruh.. Well wishes.....
just want to know the difference in time and space complexity between nth element and partial_sort approach in c++ vs this approach afaik nth element in c++ uses partition method of quick sort so i think time complexity is same as this and what about space complexity
@@ayaaniqbal3531 here logN factor comes in because of the size of the heap but heap size is never more than 4 which means TC is Nlog4 , u can omit log4 as its a constant , thats why TC is O(N)
@@6mahine_mein_google but bro that is space complexity and I am talking about Time complexity because to get that four element we have to go to each aray element and thus NlogN
I think there is better approach without using any higher order data structure as below :
int minDifference(vector& nums) {
sort(nums.begin(),nums.end());
int n=nums.size();
int ans=INT_MAX;
if(n
Thankyou bro i couldn't understand this question earlier but you really make it so simple
Your Teaching Style is Awesome!!!
In love with data structures...
& appreciate your consistency of uploading daily videos.
Keep Going Bruh..
Well wishes.....
9:23 *Holiday bgm playinh*
Keep up the good work, your daily videos motivate e to do leetcode daily
Thanks for providing quality content.
salute to your efforts for providing an optimised code as well...
Thank you bhai!!
Great explanation!!
Your efforts sir😇
💝💝💝💝
class Solution {
public:
int minDifference(vector& nums) {
int n = nums.size();
if(n
just want to know the difference in time and space complexity between nth element and partial_sort approach in c++ vs this approach afaik nth element in c++ uses partition method of quick sort so i think time complexity is same as this and what about space complexity
Thanks a lot
bhaiya please explain the binary search approach
Bro, Improve the Audio quality🙂🙂
Yaa it is pretty bad this time, i'll surely correct it ❤
its crazy i was looking for this only
wait its qs of the day
Aryan Missing Goldman sachs Tee!!😂❤
☕ Tea or Tee ?
bro can we also do the above problem in O(N) Time Complexity ?
heap approach is in O(N) time
@@6mahine_mein_google i don't think so because a single element take logN and N element will take NlogN
@@ayaaniqbal3531 here logN factor comes in because of the size of the heap but heap size is never more than 4 which means TC is Nlog4 , u can omit log4 as its a constant , thats why TC is O(N)
@@6mahine_mein_google but bro that is space complexity and I am talking about Time complexity because to get that four element we have to go to each aray element and thus NlogN
1st Comment
❤️❤️🫡
itni garmi mein ye kya phn rakah hai